MessagingException (Mule ESB 2.2.1 API)
Keywords: org.mule.api.MessagingException class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.api
Class MessagingException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.mule.api.MuleException
                  org.mule.api.MessagingException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  CorrelationTimeoutException, MessageBuilderException, MessageRedeliveredException, MessageTypeNotSupportedException, RestServiceException, RoutingException, SecurityException, ServiceException

    public class MessagingException

extends MuleException

`MessagingException` is a general message exception thrown when errors specific to Message processing occur..

See Also:
  Serialized Form

Field Summary
`protected MuleMessage` | `muleMessage` The MuleMessage being processed when the error occurred

Constructor Summary
`MessagingException(Message message, MuleMessage muleMessage)`
`MessagingException(Message message, MuleMessage muleMessage, Throwable cause)`
`MessagingException(Message message, Object payload)`
`MessagingException(Message message, Object payload, Throwable cause)`

Method Summary
`MuleMessage` | `getMuleMessage()`

Methods inherited from class org.mule.api.MuleException
`addInfo, appendMessage, equals, getDetailedMessage, getExceptionCode, getI18nMessage, getInfo, getMessage, getMessageCode, hashCode, initialise, prependMessage, setExceptionCode, setMessage, setMessage`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### muleMessage

    protected final transient MuleMessage muleMessage

  The MuleMessage being processed when the error occurred

Constructor Detail

### MessagingException

    public MessagingException(Message message,
                              MuleMessage muleMessage)

### MessagingException

    public MessagingException(Message message,
                              MuleMessage muleMessage,
                              Throwable cause)

### MessagingException

    public MessagingException(Message message,
                              Object payload)

### MessagingException

    public MessagingException(Message message,
                              Object payload,
                              Throwable cause)

Method Detail

### getMuleMessage

    public MuleMessage getMuleMessage()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.